{
  "name": "sateet.fi",
  "version": "1.3.1",
  "description": "Rain radar website",
  "repository": "https://gitlab.com/joni.luhtalampi/sateet.fi",
  "author": "Joni Luhtalampi",
  "private": true,
  "workspaces": [
    "packages/*"
  ],
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "src/**/*.{js,jsx,ts,tsx,json,css,scss,md}": [
      "prettier --write"
    ]
  },
  "engines": {
    "node": "16.x",
    "yarn": "1.x"
  },
  "scripts": {
    "start": "yarn workspace @sateet.fi/backend start",
    "build": "yarn workspaces run build",
    "release": "standard-version",
    "dev": "concurrently --kill-others-on-fail \"yarn dev:frontend\" \"yarn dev:backend\"",
    "dev:frontend": "yarn workspace @sateet.fi/frontend start",
    "dev:backend": "yarn workspace @sateet.fi/backend dev",
    "lint": "yarn workspaces run lint",
    "test": "yarn workspaces run test",
    "docker:dev": "docker-compose -f docker-compose.dev.yml up"
  },
  "devDependencies": {
    "@typescript-eslint/eslint-plugin": "^4.11.0",
    "@typescript-eslint/parser": "^4.11.0",
    "concurrently": "^5.3.0",
    "eslint": "^7.16.0",
    "eslint-config-airbnb": "^18.2.1",
    "eslint-config-airbnb-typescript": "^12.0.0",
    "eslint-config-prettier": "^7.1.0",
    "eslint-plugin-import": "^2.22.1",
    "eslint-plugin-jest": "^24.1.3",
    "eslint-plugin-jsx-a11y": "^6.4.1",
    "eslint-plugin-prettier": "^3.3.0",
    "eslint-plugin-react": "^7.21.5",
    "eslint-plugin-react-hooks": "^4.2.0",
    "husky": "^4.3.6",
    "lint-staged": "^10.5.3",
    "prettier": "^2.2.1",
    "standard-version": "^9.0.0",
    "typescript": "^4.1.3"
  }
}
